/*
 * The MIT License (MIT)
 *
 * Copyright (c) 2016 Jan Kelling
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

///\file
///\brief Includes all stable nytl headers.

#pragma once

#include <nytl/any.hpp>
#include <nytl/cache.hpp>
#include <nytl/callback.hpp>
#include <nytl/cloneable.hpp>
#include <nytl/compFunc.hpp>
#include <nytl/dynVec.hpp>
#include <nytl/enumOps.hpp>
#include <nytl/function_traits.hpp>
#include <nytl/hierachy.hpp>
#include <nytl/integer_sequence.hpp>
#include <nytl/line.hpp>
#include <nytl/linearSolver.hpp>
#include <nytl/log.hpp>
#include <nytl/make_unique.hpp>
#include <nytl/mat.hpp>
#include <nytl/misc.hpp>
#include <nytl/named.hpp>
#include <nytl/nonCopyable.hpp>
#include <nytl/observable.hpp>
#include <nytl/rect.hpp>
#include <nytl/rectRegion.hpp>
#include <nytl/referenced.hpp>
#include <nytl/refVec.hpp>
#include <nytl/scalar.hpp>
#include <nytl/serialize.hpp>
#include <nytl/simplex.hpp>
#include <nytl/system.hpp>
#include <nytl/tetrahedron.hpp>
#include <nytl/time.hpp>
#include <nytl/tmp.hpp>
#include <nytl/transform.hpp>
#include <nytl/triangle.hpp>
#include <nytl/typemap.hpp>
#include <nytl/vec.hpp>

